Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

domainId
string<uuid>
required

The organization domain ID (UUID)

Body

application/json

The domain fields to update

Exactly one of managedDomain or emailDomain must be set

emailDomain
object
Example:
managedDomain
object
Example:

Response

Ok

domain
string

The domain

internal
boolean

Whether users on this domain are internal (managed only)

approved
boolean

Whether the domain is approved (managed only)

id
string<uuid>

The domain ID

startUrl
string

SSO start URL (managed only)

selfRegistration
boolean

Whether self-registration is allowed (managed only)

name
string

Display name (managed only)

type
string

MANAGED or EMAIL

sso
boolean

Whether SSO is enabled (managed only)